import React, { Component } from 'react';
import './index.scss';
import ListHeader from './../blessingPreheat/listHeader/index'

export default class BlessingGetPrize extends Component {
  constructor(props) {
    super(props);
    this.state = {
      stage: '11.11 00:00～2:00',
      prize: 'Python特训营优惠券',
      isGet: true, //是否中奖
      prizeType: 1, // 实物奖品 虚拟奖品
    }
  }
  render() {
    const {stage, prize, isGet, prizeType} = this.state;
    return (
      <div className="blessing_get_prize">
        <div className='is__get_prize'>
          <div className="get_piriz__info">
            <div className='result'>{stage}中奖结果</div>
            {
              !isGet && (
                <div className='no_prize'>很遗憾，你未中奖～</div>
              )
            }
            {
              isGet && prizeType === 1 && (
                <div className='real__prize'>
                  <div>恭喜你，一抽中{prize}奖品</div>
                  <span className='address'>填写收货地址</span>
                </div>
              )
            }
            {
              isGet && prizeType === 2 && (
                <div className='virtual '>
                  <div>恭喜你抽中{prize}，</div>
                  <div>奖品已存放到你的账户</div>
                </div>
              )
            }
          </div>
        </div>
        <div className='current_stage'>
          11.11 02:00～04:00 
        </div>
        <ListHeader text="抽奖已开启" styles={{margin: '16px 0 15px'}}/>

        <div className='prize_list_container'>

        </div>
      </div>
    )
  }
}
